javax.enterprise.inject

## Class UnproxyableResolutionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.enterprise.inject.InjectionException
        - - javax.enterprise.inject.ResolutionException
          - - javax.enterprise.inject.UnproxyableResolutionException

- All Implemented Interfaces:
    Serializable

      public class UnproxyableResolutionException
      extends ResolutionException

  Indicates that a contextual reference for a bean with a normal scope and a certain bean type cannot be obtained because the bean type cannot be proxied by the container.

  Author:
    Pete Muir, Gavin King
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnproxyableResolutionException()`
    `UnproxyableResolutionException(String message)`
    `UnproxyableResolutionException(String message, Throwable throwable)`
    `UnproxyableResolutionException(Throwable throwable)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnproxyableResolutionException

          public UnproxyableResolutionException()

    - #### UnproxyableResolutionException

          public UnproxyableResolutionException(String message,
                                        Throwable throwable)

    - #### UnproxyableResolutionException

          public UnproxyableResolutionException(String message)

    - #### UnproxyableResolutionException

          public UnproxyableResolutionException(Throwable throwable)

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.